# Created by pyp2rpm-3.1.2
%global pypi_name marrow.mailer
%global srcname marrow-mailer
%global modname marrow
%global desc A highly efficient and modular mail delivery framework for \
Python 2.6+ and 3.2+, formerly called TurboMail.

Name:           python-%{srcname}
Version:        4.0.2
Release:        1%{?dist}
Summary:        A light-weight modular mail delivery framework for Python

License:        MIT
URL:            https://github.com/marrow/mailer/
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/marrow/mailer/master/LICENSE.txt
Source2:        https://raw.githubusercontent.com/marrow/mailer/master/README.textile
BuildArch:      noarch

%description
%{desc}

%package -n     python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-apipkg
BuildRequires:  python2-coverage
BuildRequires:  python2-execnet
BuildRequires:  python-futures
BuildRequires:  python2-marrow-util < 2.0
BuildRequires:  python2-pytest
BuildRequires:  python2-pytest-cache
BuildRequires:  python2-pytest-cov
BuildRequires:  python2-pytest-flakes
BuildRequires:  python2-pytest-spec
BuildRequires:  python2-pytest-runner
BuildRequires:  python2-setuptools
BuildRequires:  python-transaction
BuildRequires:  python2-devel
%{?python_provide:%python_provide python2-%{srcname}}

Requires:       python2-marrow-util < 2.0
Requires:       python2-setuptools
Requires:       python-futures
%description -n python2-%{srcname}
%{desc}

%package -n     python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-apipkg
BuildRequires:  python3-coverage
BuildRequires:  python3-execnet
BuildRequires:  python3-marrow-util < 2.0
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cache
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-flakes
BuildRequires:  python3-pytest-spec
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-setuptools
BuildRequires:  python3-transaction
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3-marrow-util < 2.0
Requires:       python3-setuptools
%description -n python3-%{srcname}
%{desc}


%prep
%setup -q -n %{pypi_name}-%{version}
cp -p %{SOURCE1} LICENSE.txt
cp -p %{SOURCE2} README.textile

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
# Remove tests placed in bad dir
rm -r %{buildroot}%{python2_sitelib}/test
rm -r %{buildroot}%{python3_sitelib}/test

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%doc README.textile
%license LICENSE.txt
%{python2_sitelib}/%{modname}
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}-*.pth
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{srcname}
%doc README.textile
%license LICENSE.txt
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Nov 24 2016 Lumir Balhar <lbalhar@redhat.com> - 4.0.2-1
- New upstream release
- Remove patch which is not necessary because issue is fixed in upstream
- Added new test dependency

* Wed Jul 13 2016 Lumir Balhar <lbalhar@redhat.com> - 4.0.1-1
- Initial package.
